# strings.py

# Sidebar title
SIDEBAR_TITLE = "OPTIMIZACIJSKI PROBLEMI"

# Button texts
BUTTON_1 = "Problem ruksaka"
BUTTON_2 = "Problem ruksaka s klasama"
BUTTON_3 = "Rješavanje sudokua"
BUTTON_4 = "Problem krojenja"
BUTTON_5 = "VRP"

# Text about genetic algorithms
GENETIC_ALGORITHMS_TITLE = "GENETSKI ALGORITMI"
GENETIC_ALGORITHMS_DESCRIPTION = (
    "Genetski algoritmi su vrsta optimizacijskog algoritma inspiriranog procesom prirodnog odabira.\n"
    "Često se koriste za pronalaženje približnih rješenja optimizacijskih i pretraživačkih problema.\n"
    "Algoritam oponaša proces prirodnog odabira evoluiranjem populacije kandidatskih rješenja kroz više generacija.\n"
    "Svako kandidatsko rješenje (pojedinac) ocjenjuje se temeljem funkcije prilagođenosti, a najprilagođeniji pojedinci biraju se za stvaranje sljedeće generacije.\n"
    "Genetski algoritmi mogu se primijeniti na različite probleme i koriste se u različitim područjima, uključujući optimizaciju, strojno učenje i umjetnu inteligenciju.\n\n"
)

# Script execution completion message
SCRIPT_EXECUTION_COMPLETED = "Izvršenje skripte završeno."

# Script execution error message
SCRIPT_EXECUTION_ERROR = "Pogreška pri izvršavanju skripte: {}"

# Knapsack problem text
KNAPSACK_TITLE = "PROBLEM RUKSAKA ILI PROBLEM NAPRTNJAČE"
KNAPSACK_DESCRIPTION = """
Problem ruksaka (ili problem naprtnjače) je poznat optimizacijski problem.
U ovom problemu, imamo skup predmeta, svaki s težinom i vrijednošću, te ruksak određenog kapaciteta.
Cilj je odabrati skup predmeta čija težina ne prelazi kapacitet ruksaka, a vrijednost je maksimalna.
Ovaj problem ima mnogo praktičnih primjena, uključujući pakiranje prtljage ili optimizaciju resursa.
"""
KNAPSACK_INPUT = """
vrijednosti predmeta:
1, 2, 3, 4, 7, 8, 9, 10, 11, 15, 16, 17, 21, 22, 28, 30, 32, 34, 35, 37, 38, 41, 43, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 59, 61, 64, 67, 70, 71, 73, 74, 79, 82, 84, 85, 89, 90, 92, 96, 100

mase predmeta:
1, 2, 3, 4, 52, 54, 56, 59, 60, 61, 62, 72, 77, 79, 80, 81, 83, 84, 87, 63, 64, 66, 67, 68, 70, 71,  88, 8, 9, 11, 12, 16, 21, 22, 23, 28, 29, 34, 36, 40, 41, 42, 47, 48, 90, 91, 92, 93, 96, 100

kapacitet ruksaka:
500
"""


# Multiple-choice knapsack problem
MULTIPLE_CHOICE_KNAPSACK_TITLE = "Problem Ruksaka s Klasama Predmeta"
MULTIPLE_CHOICE_KNAPSACK_DESCRIPTION = (
    "Ruksak s klasama predmeta predstavlja varijaciju klasičnog problema ruksaka u kojem su predmeti "
    "podijeljeni u različite klase, označene sa N_i. Cilj je odabrati točno jedan predmet iz svake klase N_i tako da "
    "ukupna vrijednost odabranih predmeta, uz ograničenje kapaciteta ruksaka W, bude maksimalna. "
    "Ova varijanta dodaje složenost jer svaka klasa može sadržavati različit broj predmeta, čime se postavlja "
    "izazov u optimalnom odabiru predmeta iz raznolikih klasa."
)

# Sudoku
SUDOKU_TITLE = "SUDOKU"
SUDOKU_DESCRIPTION = (
    "Sudoku je logička igra zasnovana na postavljanju brojeva u mrežu veličine 9x9 podijeljenu u podmreže "
    "veličine 3x3. Cilj je popuniti prazna polja tako da svaki red, svaka kolona i svaka podmreža sadrži "
    "sve brojeve od 1 do 9, bez ponavljanja. Sudoku postavlja izazov u rješavanju logičkih problema i zahtijeva "
    "strategijsko razmišljanje kako bi se ispunili svi uvjeti igre. Popularan je kao zagonetka i vježba uma."
)
SUDOKU_INPUT = """
+-------+-------+-------+
| 9 6 0 | 0 3 0 | 7 5 4 |
| 5 8 0 | 9 0 0 | 2 0 6 |
| 0 0 7 | 0 6 0 | 0 9 0 |
+-------+-------+-------+
| 4 0 8 | 0 0 3 | 0 2 7 |
| 0 7 0 | 6 0 1 | 5 0 0 |
| 0 2 5 | 7 0 0 | 0 1 0 |
+-------+-------+-------+
| 1 9 0 | 2 0 0 | 3 0 5 |
| 8 0 2 | 0 0 6 | 0 0 9 |
| 7 0 3 | 1 0 9 | 0 0 2 |
+-------+-------+-------+
"""


# Problem rezanja
CUTTING_STOCK_TITLE = "PROBLEM KROJENJA"
CUTTING_STOCK_DESCRIPTION = (
    "Problem krojenja je kombinatorički optimizacijski problem koji se često pojavljuje u industriji i logistici. "
    "Cilj je izrezati određen broj predmeta iz materijala s minimalnim otpadom. "
    "Ovaj problem postavlja izazov učinkovitog raspoređivanja rezova kako bi se minimizirao gubitak materijala. "
    "Primjene problema rezanja mogu se pronaći u različitim industrijama poput proizvodnje, pakiranja i transporta."
)
CUTTING_STOCK_INPUT = """
dimenzije predmeta:
    (10, 5), (15, 8), (7, 12), (20, 10), (6, 15),
    (12, 8), (18, 6), (10, 10), (8, 12), (14, 7),
    (16, 9), (9, 14), (11, 10), (13, 8), (17, 7),
    (8, 15), (10, 13), (15, 10), (12, 12), (9, 18),
    (20, 6), (14, 9), (7, 14), (16, 7), (10, 10),
    (12, 10), (18, 5), (15, 9), (9, 12), (10, 14),
    (12, 7), (11, 12), (13, 10), (8, 16), (10, 9),
    (15, 7), (14, 11), (7, 16), (13, 9), (12, 11),
    (9, 15), (10, 12), (11, 8), (14, 10), (8, 14),
    (16, 6), (13, 11), (10, 11), (12, 8), (17, 6)
dimenzije ploče:
	100 × 50
"""  

#CVRP
CVRP_TITLE = "PROBLEM RUTIRANJA VOZILA (VRP)"
CVRP_DESCRIPTION = (
	"S obzirom na veličinu logističke industrije, prirodno se pojavio problem zasićenja prometnica, no i problem optimizacije. "
	"Planiranje transportnih ruta postaje sve važnije kako bi se smanjili logistički troškovi i svaki postotak izrazito je vrijedan. "
	"VRP je formalna definicija problema planiranja transportnih ruta. "
	"Ovdje je prikazano rješavanje CVRP varijante, tj. problema rutiranja vozila s ograničenjem kapaciteta. "
	"Glavni cilj je optimizirati rute vozila tako da sve isporuke budu obavljene unutar kapacitativnih ograničenja svakog vozila."
)
CVRP_INPUT = """
Kapacitet: 100
Koordinate čvorova:
 1 42 68
 2 77 97
 3 28 64
 4 77 39
 5 32 33
 6 32 8
 7 42 92
 8 8 3
 9 7 14
 10 82 17
 11 48 13
 12 53 82
 13 39 27
 14 7 24
 15 67 98
 16 54 52
 17 72 43
 18 73 3
 19 59 77
 20 58 97
 21 23 43
 22 68 98
 23 47 62
 24 52 72
 25 32 88
 26 39 7
 27 17 8
 28 38 7
 29 58 74
 30 82 67
 31 42 7
 32 68 82
 33 7 48
Potražnja: 
1 0 
2 5 
3 23 
4 14 
5 13 
6 8 
7 18 
8 19 
9 10 
10 18 
11 20 
12 5 
13 9 
14 23 
15 9 
16 18 
17 10 
18 24 
19 13 
20 14 
21 8 
22 10 
23 19 
24 14 
25 13 
26 14 
27 2 
28 23 
29 15 
30 8 
31 20 
32 24 
33 3 
Skladište:
 1  
 -1   
"""
   

